PASSWD(1)

NAME
passwd - ändert das Passwort eines Benutzers

SYNOPSIS

passwd [Optionen] [LOGIN]

BESCHREIBUNG

The passwd command changes passwords for user accounts. A normal user may only change the password for his/her own account, while the superuser may change the password for any account. passwd also changes account information, such as the full name of the user, the user's login shell, or his/her password expiry date and interval.

  Verändern des Passworts

The user is first prompted for his/her old password, if one is present. This password is then encrypted and compared against the stored password. The user has only one chance to enter the correct password. The superuser is permitted to bypass this step so that forgotten passwords may be changed.

Nachdem das Passwort eingegeben wurde, werden Informationen über die Gültigkeitsdauer des Passworts abgefragt, um festzustellen, ob der Benutzer das Passwort zu dieser Zeit verändern darf. Wenn nicht, lehnt passwd die Änderung des Passworts ab und beendet sich.

Der Benutzer wird dann aufgefordert, zweimal ein neues Passwort einzugeben. Beide Eingaben werden miteinander verglichen. Sie müssen übereinstimmen, damit das Passwort geändert wird.

Anschließend wird das Passwort auf seine Komplexität überprüft. Eine allgemeine Richtlinie ist, dass Passwörter aus sechs bis acht Zeichen bestehen sollten und ein oder mehrere Zeichen aus folgenden Mengen enthalten sollten:

    • Kleinbuchstaben

    • Ziffern 0 bis 9

    • Satzzeichen

Seien Sie vorsichtig, dass Sie nicht die standardmäßigen Lösch- und Kill-Zeichen des Systems eingeben. passwd weist Passwörter zurück, die nicht hinreichend komplex sind.

  Hinweise zu Benutzerpasswörtern

Die Sicherheit eines Passworts hängt von der Stärke des Verschlüsselungsalgorithmus und von der Größe des Schlüsselraums ab. Die Verschlüsselung auf UNIX-Systemen basiert auf dem NBS-DES-Algorithmus und ist sehr sicher. Die Größe des Schlüsselraums hängt von der Zufälligkeit des gewählten Passworts ab.

Gefahren für die Sicherheit von Passwörtern kommen gewöhnlich von sorgloser Wahl oder Handhabung des Passworts. Daher sollten Sie kein Passwort wählen, das in einem Wörterbuch auftaucht oder das aufgeschrieben werden muss. Das Passwort sollte somit kein echter Name, Ihr Autokennzeichen, Geburtstag oder Ihre Adresse sein. All das kann dazu verwendet werden, das Passwort zu erraten, und stellt daher eine Gefahr für die Sicherheit Ihres Systems dar.

You can find advices on how to choose a strong password on http://en.wikipedia.org/wiki/Password_strength

OPTIONEN

Die Optionen, die vom Befehl passwd unterstützt werden, sind:

-a, --all
    Diese Option kann nur in Verbindung mit -S verwendet werden und führt dazu, dass der Status aller Benutzer angezeigt wird.

-d, --delete
    Löscht das Passwort eines Benutzers (macht es leer). Dies ist ein schneller Weg, um das Passwort eines Kontos zu deaktivieren. Dem Konto ist dann kein Passwort zugeordnet.

-e, --expire
    Lässt das Passwort eines Kontos sofort verfallen. Im Ergebnis kann damit erreicht werden, dass ein Benutzer beim nächsten Login das Passwort ändern muss.

-h, --help
    Zeigt die Hilfe an und beendet das Programm.

-i, --inactiveINAKTIV
    Mit dieser Option wird ein Konto deaktiviert, nachdem das Passwort für eine bestimmte Anzahl von Tagen abgelaufen ist. Wenn ein Benutzerkonto ein abgelaufenes Passwort für länger als INAKTIV Tage hatte, kann sich der Benutzer nicht mehr auf diesem Konto anmelden.

-k, --keep-tokens
    Indicate password change should be performed only for expired authentication tokens (passwords). The user wishes to keep their non-expired tokens as before.

-l, --lock
    Lock the password of the named account. This option disables a password by changing it to a value which matches no possible encrypted value (it adds a '!' at the beginning of the password).

    Note that this does not disable the account. The user may still be able to login using another authentication token (e.g. an SSH key). To disable the account, administrators should use usermod --expiredate 1 (this set the account's expire date to Jan 2, 1970).

    Users with a locked password are not allowed to change their password.

-m, --mindaysMIN_TAGE
    Setzt die Anzahl von Tagen, die mindestens zwischen zwei Änderungen eines Passworts vergehen müssen, auf MIN_TAGE. Ein Wert von Null in diesem Feld bedeutet, dass der Benutzer sein Passwort jederzeit ändern darf.

-q, --quiet
    Stiller Modus.

-r, --repositoryPASSWORTDEPOT
    change password in REPOSITORY repository

-S, --status
    Zeigt Informationen über den Kontostatus an. Die Statusinformation besteht aus sieben Feldern. Das erste Feld ist der Login-Name des Benutzers. Das zweite Feld zeigt an, ob das Benutzerkonto gesperrt ist (L), kein Passwort hat (NP) oder ein verwendbares Passwort hat (P). Das dritte Feld zeigt das Datum der letzten Änderung des Passworts an. Die nächsten vier Felder sind das Mindestalter, das Höchstalter, die Dauer der Warnung und die Dauer der Untätigkeit für das Passwort. Die Zeiträume werden in Tagen ausgedrückt.

-u, --unlock
    Unlock the password of the named account. This option re-enables a password by changing the password back to its previous value (to the value before using -l option, by removing the leading '!').

-w, --warndaysWARN_TAGE
    Legt die Anzahl der Tage fest, an denen der Benutzer eine Warnung erhält, bevor sein Passwort ungültig wird. Die Option WARN_TAGE bezeichnet die Anzahl der Tage, für die ein Benutzer vor Verfall seines Passworts gewarnt wird.

-x, --maxdaysMAX_TAGE
    Bestimmt die maximale Anzahl von Tagen, die das Passwort gültig bleibt. Nach MAX_TAGE Tagen muss das Passwort geändert werden.

WARNUNGEN

Es kann sein, dass einige Optionen nicht unterstützt werden. Die Komplexität der Passwortprüfung kann sich auf verschiedenen Systemen unterscheiden. Der Benutzer wird angehalten, ein möglichst komplexes Passwort zu wählen, soweit es ihm angenehm ist. Benutzer können unter Umständen ihr Passwort nicht ändern, wenn auf dem System NIS aktiviert ist, sie aber nicht am NIS-Server angemeldet sind.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten.

/etc/shadow
    Verschlüsselte Informationen zu den Benutzerkonten.

RÜCKGABEWERTE

Der Befehl passwd gibt beim Beenden folgende Werte zurück:

0
    Erfolg

1
    Berechtigung verweigert

2
    ungültige Kombination von Optionen

3
    unerwarteter Fehler, nichts wurde verändert

4
    unerwarteter Fehler, die Datei passwd fehlt

5
    Datei passwd wird benutzt, bitte nochmal versuchen

6
    ungültiges Argument für Option

SIEHE AUCH

group(5), passwd(5), shadow(5), usermod(8).